# PCFactorSetLevels

Sets the number of levels of fill to use.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PETSCKSP_DLLEXPORT PCFactorSetLevels(PC pc,PetscInt levels)

Collective on PC

### Input Parameters

| pc | - the preconditioner context
| levels | - number of levels of fill

### Options Database Key

-pc_factor_levels <levels> -Sets fill level

### Keywords

PC, levels, fill, factorization, incomplete, ILU

Level:intermediate
Location: src/ksp/pc/impls/factor/ilu/ilu.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages